{% extends 'base.html' %}

{% block contenido %}
<link href="/static/css/nouislider.css" type="text/css" rel="stylesheet" media="screen,projection"/>
<div class="container">
  <br>
  <center>
    <h3>
      Productos
    </h3>
  </center>

  <center>
    <div class="row">
      <form action="{% url 'listado_productos' %}" class="col s12">

          <div class="input-field col s8 m9 l10">
            <i class="material-icons prefix">search</i>
            <input name="busca" id="buscar" type="text" class="validate">
            <label for="buscar">Nombre del producto</label>
          </div>

          <div class="col s2 m2 l2">
            <center>
              <button class="waves-effect waves-light btn-large" type="submit">
                Buscar
              </button>
            </center>
          </div>

      </form>
    </div>
  </center>
  
  <div class="row">
    
    {% for producto in object_list %}
      <div class="col s12 m6 l4">
        <div class="card">
          <div class="card-image">
            <div style="width: 441px;
            height: 305px;
            background-image: url(/media/{{producto.producto_imagenes.all.0.imagen}});
            background-size: cover;
            background-repeat: no-repeat;
            max-width: 100%;
            width: 100%;"></div>
          </div>
          <div class="card-content">
            <p>{{producto.nombreProducto|truncatechars:"29"}}</p>
            <p>${{producto.precio|stringformat:".2f"}}</p>
            <p>{{producto.marca.nombreMarca}}</p>
          </div>
          <div class="card-action">
            <center>
              <a href="{% url 'detalle_producto' producto.pk %}" class="waves-effect waves-light btn-large" type="submit">
                ver
              </a>
            </center>
          </div>
        </div>
      </div>
    {% empty %}
      <center>
        <p>
          No tenemos resultados para tu búsqueda.
        </p>
      </center>
    {% endfor %}

  </div>

  <div class="row">

    {% if is_paginated %}
      <center>
        <ul class="pagination">
          {% if page_obj.has_previous %}
          <li class=""><a href="?page={{ page_obj.previous_page_number }}"><i class="material-icons">chevron_left</i></a></li>
          {% else %}
          <li class="disabled"><a href="#!"><i class="material-icons">chevron_left</i></a></li>
          {% endif %}

          {% for page in paginator.page_range %}
          <li class="waves-effect {% if page == page_obj.number %}active light-blue darken-1{% endif %}"><a href="?page={{ page }}">{{ page }}</a></li>
          {% endfor %}

          {% if page_obj.has_next %}
          <li class="waves-effect"><a href="?page={{ page_obj.next_page_number }}"><i class="material-icons">chevron_right</i></a></li>
          {% else %}
          <li class="waves-effect disabled"><a href="#!"><i class="material-icons">chevron_right</i></a></li>
          {% endif %}

        </ul>
      </center>
    {% endif %}

  </div>

  <br>
</div>

{% endblock contenido %}
